package com.guwan.controller.login.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class LoginSuccessInfo {
    /**
     * 头像
     */
    private String avatar;
    /**
     * 用户名
     */
    private String username;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 用户角色权限
     */
    private List<String> roles;
    /**
     * 操作权限
     */
    private List<String> permissions;
    /**
     * 登录token
     */
    private String accessToken;
    /**
     * 刷新token
     */
    private String refreshToken;
    /**
     * token过期时间
     */
    private String expires;

}
